Package uk.ac.starlink.topcat.plot2

## Class StiltsControl

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.TabberControl
  - - uk.ac.starlink.topcat.plot2.StiltsControl

- All Implemented Interfaces:
    `Control`

      public class StiltsControl
      extends TabberControl

  Fixed Control implementation that can display a STILTS command to reproduce the currently visible plot.
  Since:
    19 Sep 2017
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StiltsControl​(PlotPanel<?,​?> plotPanel, boolean isMultiZone, ToggleButtonModel windowToggle)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.swing.JComponent` | `getPanel()` | Returns the GUI component that is the business end of this control.

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.TabberControl

      `addActionListener, addControlTab, addZoneTab, getActionForwarder, getControlIcon, getControlLabel, getTabber, removeActionListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StiltsControl

          public StiltsControl​(PlotPanel<?,​?> plotPanel,
                               boolean isMultiZone,
                               ToggleButtonModel windowToggle)

      Constructor.
      Parameters:
        `plotPanel` - plot panel
        `isMultiZone` - true if the possibility of multiple zones should be accounted for in the command
        `windowToggle` - model for posting a separate window displaying the command text

  - ### Method Detail

    - #### getPanel

          public javax.swing.JComponent getPanel()

      Description copied from interface: `Control`
      Returns the GUI component that is the business end of this control. It will typically contain components for user interaction.
      Specified by:
        `getPanel` in interface `Control`
      Overrides:
        `getPanel` in class `TabberControl`
      Returns:
        this controls graphical component